Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.cics.server
Class ConversationState

    java.lang.Object
      |
      +--com.ibm.cics.server.ConversationState

public class ConversationState
extends java.lang.Object

Field Summary
`static ConversationState` | `ALLOCATED`
`static ConversationState` | `CONFFREE`
`static ConversationState` | `CONFRECEIVE`
`static ConversationState` | `CONFSEND`
`static ConversationState` | `FREE`
`static ConversationState` | `NOTALLOCATED`
`static ConversationState` | `PENDFREE`
`static ConversationState` | `PENDRECEIVE`
`static ConversationState` | `RECEIVE`
`static ConversationState` | `ROLLBACK`
`static ConversationState` | `SEND`
`static ConversationState` | `SYNCFREE`
`static ConversationState` | `SYNCRECEIVE`
`static ConversationState` | `SYNCSEND`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`static ConversationState` | `lookup(int state)` Get the conversation state object that corresponds the the give int.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NOTALLOCATED

    public static final ConversationState NOTALLOCATED

### ALLOCATED

    public static final ConversationState ALLOCATED

### CONFFREE

    public static final ConversationState CONFFREE

### CONFRECEIVE

    public static final ConversationState CONFRECEIVE

### CONFSEND

    public static final ConversationState CONFSEND

### FREE

    public static final ConversationState FREE

### PENDFREE

    public static final ConversationState PENDFREE

### PENDRECEIVE

    public static final ConversationState PENDRECEIVE

### RECEIVE

    public static final ConversationState RECEIVE

### ROLLBACK

    public static final ConversationState ROLLBACK

### SEND

    public static final ConversationState SEND

### SYNCFREE

    public static final ConversationState SYNCFREE

### SYNCRECEIVE

    public static final ConversationState SYNCRECEIVE

### SYNCSEND

    public static final ConversationState SYNCSEND

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    equals in class java.lang.Object

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### lookup

    public static ConversationState lookup(int state)

  Get the conversation state object that corresponds the the give int.
  Parameters:
    `value` - This is the required conversation state. Valid values are 0 through 13. Any other input results in an IllegalArgumentException.
  Returns:
    The corresponding ConversationState object.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002 by Sun Microsystems, Inc.